| IDA SDK

Public Member Functions | List of all members
gdl_graph_t Class Referenceabstract

## Detailed Description

gdl graph interface - includes only functions required to draw it

Inherited by cancellable_graph_t, and drawable_graph_t.

## Public Member Functions
virtual char *idaapi | get_node_label (char *iobuf, int iobufsize, int n) const
virtual void idaapi | print_graph_attributes (FILE *fp) const
virtual bool idaapi | print_node (FILE *fp, int n) const
virtual bool idaapi | print_edge (FILE *fp, int i, int j) const
virtual void idaapi | print_node_attributes (FILE *fp, int n) const
virtual int idaapi | size (void) const =0
virtual int idaapi | node_qty (void) const
virtual bool idaapi | exists (int node) const
virtual int idaapi | entry (void) const
virtual int idaapi | exit (void) const
virtual int idaapi | nsucc (int node) const =0
virtual int idaapi | npred (int node) const =0
virtual int idaapi | succ (int node, int i) const =0
virtual int idaapi | pred (int node, int i) const =0
virtual bool idaapi | empty (void) const
virtual bgcolor_t idaapi | get_node_color (int n) const
virtual bgcolor_t idaapi | get_edge_color (int i, int j) const
void idaapi | gen_gdl (FILE *fp) const
void idaapi | gen_gdl (const char *file) const
size_t idaapi | nedge (int node, bool ispred) const
int idaapi | edge (int node, int i, bool ispred) const
int idaapi | front (void)
node_iterator idaapi | begin (void) const
node_iterator idaapi | end (void) const
bool idaapi | path_exists (int m, int n) const
void idaapi | gen_dot (FILE *fp) const
void idaapi | gen_dot (const char *file) const

## Member Function Documentation

## ◆ size()

virtual int idaapi gdl_graph_t::size | ( | void |  | ) | const
| pure virtual

Implemented in interactive_graph_t.

## ◆ node_qty()

virtual int idaapi gdl_graph_t::node_qty | ( | void |  | ) | const
| inline virtual

Reimplemented in interactive_graph_t.

## ◆ exists()

virtual bool idaapi gdl_graph_t::exists | ( | int | node | ) | const
| inline virtual

Reimplemented in interactive_graph_t.

## ◆ empty()

virtual bool idaapi gdl_graph_t::empty | ( | void |  | ) | const
| inline virtual

Reimplemented in interactive_graph_t.

The documentation for this class was generated from the following file:

- gdl.hpp